JUCE: files

JUCE

Namespaces | Classes | Functions
files
juce_core

## Namespaces
namespace | MimeTypeTable

## Classes
class | AndroidDocumentInfo
| Some information about a document. More...
class | AndroidDocumentPermission
| Represents a permission granted to an application to read and/or write to a particular document or tree. More...
class | AndroidDocument
| Provides access to a document on Android devices. More...
class | AndroidDocumentIterator
| An iterator that visits child documents in a directory. More...
class | File
| Represents a local file or directory. More...
struct | File::NaturalFileComparator
| Comparator for files. More...
class | FileFilter
| Interface for deciding which files are suitable for something. More...
class | FileInputStream
| An input stream that reads from a local file. More...
class | FileOutputStream
| An output stream that writes into a local file. More...
class | FileSearchPath
| Represents a set of folders that make up a search path. More...
class | MemoryMappedFile
| Maps a file into virtual memory for easy reading and/or writing. More...
class | DirectoryEntry
| Describes the attributes of a file or folder. More...
class | RangedDirectoryIterator
| Allows iterating over files and folders using C++11 range-for syntax. More...
class | TemporaryFile
| Manages a temporary file, which will be deleted when this object is deleted. More...
class | WildcardFileFilter
| A type of FileFilter that works by wildcard pattern matching. More...

## Functions
const DirectoryEntry & | operator* (const DirectoryEntry &e) noexcept
| A convenience operator so that the expression `*it++` works correctly when `it` is an instance of RangedDirectoryIterator. More...
RangedDirectoryIterator | begin (const RangedDirectoryIterator &it)
| Returns the iterator that was passed in. More...
RangedDirectoryIterator | end (const RangedDirectoryIterator &)
| Returns a default-constructed sentinel value. More...

## Detailed Description

## Function Documentation

## ◆ operator*()

const DirectoryEntry & operator* | ( | const DirectoryEntry & | e | ) |
| noexcept

A convenience operator so that the expression `*it++` works correctly when `it` is an instance of RangedDirectoryIterator.

Referenced by Optional< Value >::reset().

## ◆ begin()

RangedDirectoryIterator begin | ( | const RangedDirectoryIterator & | it | ) |

Returns the iterator that was passed in.

Provided for range-for compatibility.

Referenced by AudioProcessorValueTreeState::ParameterLayout::add(), String::end(), MemoryBlock::end(), AudioProcessorValueTreeState::ParameterLayout::ParameterLayout(), and GenericInterpolator< InterpolatorTraits, memorySize >::reset().

## ◆ end()

RangedDirectoryIterator end | ( | const RangedDirectoryIterator & |  | ) |

Returns a default-constructed sentinel value.

Provided for range-for compatibility.

Referenced by AudioProcessorValueTreeState::ParameterLayout::add(), StringArray::addArray(), CharPointer_UTF16::lengthUpTo(), CharPointer_UTF32::lengthUpTo(), CharacterFunctions::lengthUpTo(), CharPointer_ASCII::lengthUpTo(), CharPointer_UTF8::lengthUpTo(), SparseSet< Type >::operator[](), AudioProcessorValueTreeState::ParameterLayout::ParameterLayout(), and GenericInterpolator< InterpolatorTraits, memorySize >::reset().